Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Get tickets

Prev Next
Get
/v2/inventory/tickets

Returns the list of tickets received by the parent entity (organization or partner) or submitted by the parent entity (customer, pernater, and organization).

Required permissions: READ_TICKET.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the target tenant (e.g. acme).

Query parameters
received
boolean

If true, the response includes the ticket received by the parent entity.

received
boolean

If true, the response includes the ticket submitted by the parent entity.

status
string

The status of the tickets to be retrieved.

Valid values[ "OPEN", "IN_PROGRESS", "ON_HOLD", "RESOLVED", "REJECTED" ]
ExampleOPNE
size
integer

The number of elements to retrieve for the current page.

Minimum1
Example200
page
integer

The page number to retrieve (zero-based).

Minimum0
Example0
sort
string

The sorting criteria based on object properties.

Minimum0
Examplename,ASC
Responses
200

Successful operation.

Expand All
object
content
Array of object (Ticket)
object
id
string
Example69cd430d90379a1f9604cca0
code
string
ExampleTKT-000002
organizationId
string
Example661533adc04f90248aa739a2
responsibileName
string
ExampleACME
creationOrganizationId
string
Example661533adc04f90248aa739a2
creationUserId
string
Example69cd30c0619a917c2d416b78
thingId
string
Example661fabf042541977c4ff380c
title
string
Exampletest2
typeId
string
Example69cce8e238f8146af79b66df
type
object (TicketType)
id
string
Example69cce8e238f8146af79b66df
name
string
Exampleissue_report
label
string
ExampleFault/Anomaly Report
status
string
Valid values[ "OPEN", "IN_PROGRESS", "ON_HOLD", "RESOLVED", "REJECTED" ]
ExampleIN_PROGRESS
creationTimestamp
integer (int64)
Example1775059725671
assigneeUserId
string | null
Example6a058e933082730da608263c
items
Array of object (TicketItem)
object
timestamp
integer (int64)
Example1777301746141
userId
string
Example69ef57196e9f727fab42fcab
type
string
Valid values[ "OPEN", "IN_PROGRESS", "ON_HOLD", "RESOLVED", "REJECTED" ]
ExampleIN_PROGRESS
statusChange
object (TicketStatusChange)
from
string
Valid values[ "OPEN", "IN_PROGRESS", "ON_HOLD", "RESOLVED", "REJECTED" ]
ExampleIN_PROGRESS
to
string
Valid values[ "OPEN", "IN_PROGRESS", "ON_HOLD", "RESOLVED", "REJECTED" ]
ExampleIN_PROGRESS
note
string | null
attachment
properties
object (Properties)
Example{ "foo": "abc", "bar": "123" }
property*
string additionalProperties
first
boolean
last
boolean
totalPages
integer
totalElements
integer
sort
string
numberOfElements
integer
size
integer
number
integer
Minimum0
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
404

Resource was not found.

object
message
string

The error response.

ExampleResource not found
429

API call rate limit exeeded.

object
message
string

The error response.

ExampleAPI call rate limit exeeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error